summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorJohn (J5) Palmieri <johnp@redhat.com>2005-08-26 04:23:33 +0000
committerJohn (J5) Palmieri <johnp@redhat.com>2005-08-26 04:23:33 +0000
commit24e02f266400a88d9082cb3c23b254dd2e02c91d (patch)
treebfe713b37284557537319aa1fef9c41be556eaa9 /test
parentf53334673312ce6d0a92a47a6276379862560506 (diff)
* s/Message(_create=0)/EmptyMessage everywhere else
* test/python/test-{server|client}.py: add the python/.libs directory to the lookup path so dbus_bindings and dbus_glib_bindings don't get picked up from the system
Diffstat (limited to 'test')
-rwxr-xr-xtest/python/run-test.sh2
-rwxr-xr-xtest/python/test-client.py2
-rwxr-xr-xtest/python/test-service.py2
3 files changed, 4 insertions, 2 deletions
diff --git a/test/python/run-test.sh b/test/python/run-test.sh
index f7e067a..600eb6d 100755
--- a/test/python/run-test.sh
+++ b/test/python/run-test.sh
@@ -29,6 +29,6 @@ fi
ln -s $DBUS_TOP_BUILDDIR/python $DBUS_TOP_BUILDDIR/python/dbus
echo "running test-client.py"
-$DBUS_TOP_BUILDDIR/test/python/test-client.py || die "test-client.py failed"
+libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/python/test-client.py || die "test-client.py failed"
rm $DBUS_TOP_BUILDDIR/python/dbus
diff --git a/test/python/test-client.py b/test/python/test-client.py
index f9f692c..51d655d 100755
--- a/test/python/test-client.py
+++ b/test/python/test-client.py
@@ -6,8 +6,10 @@ builddir = os.environ["DBUS_TOP_BUILDDIR"]
pydir = builddir + "/python"
sys.path.insert(0, pydir)
+sys.path.insert(0, pydir + "/.libs")
import dbus
+import dbus_bindings
if not dbus.__file__.startswith(pydir):
raise Exception("DBus modules are not being picked up from the package")
diff --git a/test/python/test-service.py b/test/python/test-service.py
index 21d101c..8f3cb7a 100755
--- a/test/python/test-service.py
+++ b/test/python/test-service.py
@@ -6,6 +6,7 @@ builddir = os.environ["DBUS_TOP_BUILDDIR"]
pydir = builddir + "/python"
sys.path.insert(0, pydir)
+sys.path.insert(0, pydir + '/.libs')
import dbus
@@ -29,6 +30,5 @@ class TestObject(dbus.service.Object):
session_bus = dbus.SessionBus()
name = dbus.service.BusName("org.freedesktop.DBus.TestSuitePythonService", bus=session_bus)
object = TestObject(name)
-
loop = gobject.MainLoop()
loop.run()